LINUX.ORG.RU

Помогите с установкой X.org 1.17.2

 ,


0

1

Хотел установить 1.17.2, но при запуске конфигурирования выдает:

-------------------------------------------------------------- configure: error: Package requirements (fixesproto >= 5.0 damageproto >= 1.1 xcmiscproto >= 1.2.0 xtrans >= 1.3.5 bigreqsproto >= 1.1.0 xproto >= 7.0.26 randrproto >= 1.4.0 renderproto >= 0.11 xextproto >= 7.2.99.901 inputproto >= 2.3 kbproto >= 1.0.3 fontsproto >= 2.1.3 pixman-1 >= 0.27.2 videoproto compositeproto >= 0.4 recordproto >= 1.13.99.1 scrnsaverproto >= 1.1 resourceproto >= 1.2.0 xf86driproto >= 2.1.0 glproto >= 1.4.17 dri >= 7.8.0 presentproto >= 1.0 xineramaproto xkbfile pixman-1 >= 0.27.2 xfont >= 1.4.2 xau xshmfence >= 1.1 xdmcp) were not met:

No package 'xcmiscproto' found No package 'bigreqsproto' found No package 'fontsproto' found No package 'videoproto' found No package 'recordproto' found No package 'scrnsaverproto' found No package 'resourceproto' found No package 'xf86driproto' found No package 'presentproto' found No package 'xkbfile' found No package 'xfont' found --------------------------------------------------------------

в интернете полно всякой воды по данному поводу, но инструкции на руском языке по установке иксов нет... на английском я очень мало понимаю, а интуитивно понятного мануала на англ тоже нет, если кто располагает инфой по установке, прошу поделиться... и скажите в чем у меня именно проблема с этими ошибками. заранее благодарен

★★

и скажите в чем у меня именно проблема с этими ошибками.

Так явно же пишется... Конфигуратор не может найти пакеты.

No package 'xcmiscproto' found No package 'bigreqsproto' found No package 'fontsproto' found No package 'videoproto' found No package 'recordproto' found No package 'scrnsaverproto' found No package 'resourceproto' found No package 'xf86driproto' found No package 'presentproto' found No package 'xkbfile' found No package 'xfont' found

anonymous ()
Ответ на: комментарий от anonymous

в принцыпе понятно самому, что не находит пакеты а какие????? пробывал вводить их в apt-get, ничего не находит в репозиториях

safocl ★★ ()
Ответ на: комментарий от safocl

все пакеты, которые написаны как необходимые в редми установлены

safocl ★★ ()

А какой дистрибутив? Какие версии пакетов? Установлены ли -dev пакеты?

saahriktu ★★★★★ ()
Ответ на: комментарий от safocl

не находит пакеты а какие?

fontsproto >= 2.1.3
videoproto
recordproto >= 1.13.99.1
scrnsaverproto >= 1.1
resourceproto >= 1.2.0
xf86driproto >= 2.1.0
presentproto >= 1.0
xkbfile
xfont >= 1.4.2

В Slackware это (сборка) делается так:
http://slackware.osuosl.org/slackware-current/source/x/x11/

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 2)
Ответ на: комментарий от safocl

ничо сложного нет, но вот такие трабблы хз

да, тут реально ничего сложного нет, хз зачем ты сюда пришёл с этим

anonymous ()
Ответ на: комментарий от irton

вот блин... я просто не мог найти как эти пакеты называются в репах, спс, все норм... ошибка исчезла. теперь все нужное для сборки пишет что есть.

safocl ★★ ()
Ответ на: комментарий от safocl

собрал установил все пахает.... иртон все правильно изложил... берите пример а не задавайте ненужных вопросов «а за чем тебе нада» и т.д.

safocl ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.